igorstoyanov
VMware Employee
VMware Employee

Plugin Updates

Jump to solution

I would like to announce that the following vCO plug-ins are now released!!

  •    vCO-Powershell-Plug-in  -1.0.1 - kerberos support added
  •   vCO-SQL-Plug-in  -1.1.0  - two related plugins combined with auto-generation as well as advanced SQL scripts. A few important issues fixed.
  • vCO-vCenter-Plug-in  - 5.0.1.1 vCO vCenter Plugin-in - 5.0.1.2- Critical update. Fixes a major issue with performance and losing attributes value. Update should be performed!
  •   vCO-VUM-Plug-in  - 5.0. - The new version of the plugin that supports the VUM 5.0 version of the product.
  •   vCO-SNMP-Plug-in  - 1.0.1 - Minor fix in relation to vCO policies listening for SNMP traps.

Download links located at:

https://my.vmware.com/web/vmware/details?downloadGroup=VCO_POWERSHELL_PLUGIN_101&productId=229

https://my.vmware.com/web/vmware/details?downloadGroup=VCO_VUM_PLUGIN_50&productId=229

https://my.vmware.com/web/vmware/details?downloadGroup=VCO_SNMP_PLUGIN_101&productId=229

https://my.vmware.com/web/vmware/details?downloadGroup=VCO_SQL_PLUGIN_110&productId=229
https://my.vmware.com/web/vmware/details?downloadGroup=VCO_VC50_PLUGIN_5011&productId=229

vCO vCenter Plugin: http://communities.vmware.com/docs/DOC-19851

vCO doc landing pages:

https://www.vmware.com/support/pubs/vco_plugins_pubs.html

Release Notes:

https://www.vmware.com/support/orchestrator/doc/powershell-plugin-101-release-notes.html

https://www.vmware.com/support/orchestrator/doc/snmp-plugin-101-release-notes.html

https://www.vmware.com/support/orchestrator/doc/sql-plugin-11-release-notes.html

https://www.vmware.com/support/orchestrator/doc/vum-plugin-50-release-notes.html

https://www.vmware.com/support/orchestrator/doc/vcenter-server-plugin-5011-release-notes.html

Most of the plugins could be found fromt the product page:

http://www.vmware.com/products/datacenter-virtualization/vcenter-orchestrator/plugins.html

All plugins (including plugins from partners) could be found here:

https://solutionexchange.vmware.com/store/categories/21

Thanks,

Igor.

Visit http://blogs.vmware.com/orchestrator for the latest in Cloud Orchestration.
0 Kudos
1 Solution

Accepted Solutions
dvatov
VMware Employee
VMware Employee

The downgrade of the plugin version is not supported by the configurator, so the replacement of the dar file is the way to do it.

The issue preventing the plugin from using 4.x vCenters is fixed. After tests process finish I will provide link for download. It will have bigger build number so you can use the configurator to do the upgrade.

View solution in original post

0 Kudos
18 Replies
KiwiDave
Enthusiast
Enthusiast

I am having a big problem with the new vcenter plugin on Windows 4.2.1b555.

Say we have a property on an object which is a few properties deep, ie. host.runtime.name (I just made this up as an example), then the first time the workflow runs then it will fail saying it cannot find the property "runtime". If you run it again then it will find the runtime property but fail on the "name" property. If you run it a third time then it will be ok, until you reach the next object property you reference.

Needless to say, this is a game breaker and has effectively broken our environment.

0 Kudos
igorstoyanov
VMware Employee
VMware Employee

Just to make sure - did you restarted vCO server after the plugin was updated?

Visit http://blogs.vmware.com/orchestrator for the latest in Cloud Orchestration.
0 Kudos
KiwiDave
Enthusiast
Enthusiast

Restarted vco configuration, vco orchestrator service, restarted the server entirely..

Another issue is that when I browse for input from a vCenter (vmfolder or vnetwork) then it will have the "loading" icon then show nothing, I must attempt a number of times (the same time it used to take in the old plugin to return the data) before the data is displayed.

0 Kudos
KiwiDave
Enthusiast
Enthusiast

I have downgraded to the 5.0.0 plug-in and the problems have gone away.

Also, I did not experience the "temporary loss" of configuration item data which I was experiencing under 5.0.1 (although I only restarted vco once, so it is too early to tell but under 5.0.1 it was occurring on every restart).

Not to throw a wet blanket on the party but it may be wise for people to apply the update in a test environment before prod.

0 Kudos
igorstoyanov
VMware Employee
VMware Employee

Hi Dave,

A few details first:

The vCenter plugin 5.0.0 uses only vCenter property collector to get changes to the properties of the object.

The vCenter plugin 5.0.1 uses the vCenter inventory service and fall back to property collector if not available (but much slower in this way).

This plugin (5.0.1) in some cases had issue with losing attributes/configuration values.

The updated release of vCenter plugin 5.0.1.1 fixes those issues as well as a few others.

Now, based on your description that works with vCenter plugin 5.0.0 and doesn't work with 5.0.1.1, I would suggest that you don't have the vCenter inventory service started or there is some issue with it. So, if you still won't to find out what the issue is with the new version, I would advise to take a look at the vCenter inventory service configuration.

Visit http://blogs.vmware.com/orchestrator for the latest in Cloud Orchestration.
0 Kudos
KiwiDave
Enthusiast
Enthusiast

That clears up a few things for me.

We are not running vCenter 5.0 yet (still on 4.1), so no inventory service is available (though an upgrade is planned later in the year).

The 5.0.0 plugin always worked fine, as did the 5.0.1 before this update (although we did experience the loss of attributes) so I guess backward compatability with vcenter 4.1 is not guaranteed?

0 Kudos
KiwiDave
Enthusiast
Enthusiast

An interesting thing I found today..

I downgraded to the vCenter 5.0.0 plugin because the 5.0.1-232 broke with our vCenter 4.1 servers (and 5.0.1-192 is not available for download anywhere I can find).

We have a vCenter 5.0.0 server which I tried adding today, with this server enabled the 5.0.0-149 plugin broke as did the 5.0.1-232 when I tested it.

I managed to find a copy of the 5.0.1-192 dar and using this works.

I am not sure if this is a known issue, but using a mix of vCenter 5 and 4.1 servers does not seem to work with the new plugin.

In our case, this will be a problem when we progressively replace our vCenter 4.1 hosts with vCenter 5 as there is no official place to download the 5.0.1-192 plugin, and merely replacing the dar will give a message on the plugin configuration of "Installation corrupted (bad plug-in version)".

0 Kudos
dvatov
VMware Employee
VMware Employee

The downgrade of the plugin version is not supported by the configurator, so the replacement of the dar file is the way to do it.

The issue preventing the plugin from using 4.x vCenters is fixed. After tests process finish I will provide link for download. It will have bigger build number so you can use the configurator to do the upgrade.

View solution in original post

0 Kudos
cdecanini_
VMware Employee
VMware Employee

And while waiting for the updated release you can try to reset the plug-in versions in the troubleshooting section of the configurator to avoid bad version error.

Christophe.

If my answer resolved or helped you, please mark it as Correct or Helpful to award points. Thank you! Visit http://www.vcoteam.info & http://blogs.vmware.com/orchestrator for vCenter Orchestrator tips and tutorials - @vCOTeam on Twitter
igorstoyanov
VMware Employee
VMware Employee

This is the guide to unistall plugins:

http://knova-prod-kss-vip.vmware.com:8080/selfservice/mysupport/viewdocument.do?externalId=2003386

It could be helpful in situations like that.

Visit http://blogs.vmware.com/orchestrator for the latest in Cloud Orchestration.
0 Kudos
igorstoyanov
VMware Employee
VMware Employee

Hi Dave,

I have uploaded a new version of the vCenter plugin that should fix the issue that you reported with vCenter 4.1 version.

The plugin version 5.0.1.2-244 and could be downloaded from here: http://communities.vmware.com/docs/DOC-19851

Please, let us know if everything is fine with this version for your case when you have a chance.

Note: This is a prereleased version (althought tested and verified) so you could try it out in a test environment first.

Thanks.

Visit http://blogs.vmware.com/orchestrator for the latest in Cloud Orchestration.
0 Kudos
KiwiDave
Enthusiast
Enthusiast

Hi Igor,

Installed and testing on my test environment.

Already looking very good and resolved all the issues I was having earlier.

Thanks a lot for the update, you're a legend!

Cheers,

Dave

igorstoyanov
VMware Employee
VMware Employee
Hi Dave,
Thanks a lot for your positive feedback!
>Thanks a lot for the update, you're a legend!
The legend and all the credits go to the engineer who worked on this plugin update Daniel Vatov !
Thanks,
Igor. 
Visit http://blogs.vmware.com/orchestrator for the latest in Cloud Orchestration.
0 Kudos
vmwaredownload
Enthusiast
Enthusiast

Hi Igor,

     When can we expect the plugin for - VMware vCloud Director 1.5.1

Regards,

Rajesh

0 Kudos
igorstoyanov
VMware Employee
VMware Employee

Hi Rajesh,

I am not aware of current plans to release vCO vCD plugin 1.5.1. As far as I know vCD 1.5.1 contain only bug fixes and works with API version 1.5, so the vCO vCD plug-in 1.5.0 should work with vCD 1.5.1.

Thanks,

Igor.

Visit http://blogs.vmware.com/orchestrator for the latest in Cloud Orchestration.
0 Kudos
vmwaredownload
Enthusiast
Enthusiast

Tried this Igor.

I get the following error

Exception:convertToResult() ---> Finder 'vCloud:Vdc':unexpected error 'ch.dunes.model.sdk.SDKFinderException: convertToResult() ---> Finder 'vCloud:Vdc':unable to invoke read method:"name"

Kindly have this checked if it's under your purview.

Regards,

Rajesh

0 Kudos
igorstoyanov
VMware Employee
VMware Employee

Not sure. I guess the problem could be something else. I would advise to open an SR with VMware GSS.

Visit http://blogs.vmware.com/orchestrator for the latest in Cloud Orchestration.
0 Kudos
vmwaredownload
Enthusiast
Enthusiast

You are right Igor. Our production VCD is running with Oracle DB. This is what is giving issue with VCO.

The same verion of VCD with MSSQL DB runs fine with VCO.

I've raised an ticket with VMware but have'nt had much success till now.

Regards,

Rajesh

0 Kudos